Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3)

Issue 300223009: Implement basic parts of hit regions on canvas2d. (Closed)

Created:
5 years ago by zino
Modified:
5 years ago
CC:
blink-reviews, arv+blink, blink-reviews-html_chromium.org, abarth-chromium, dglazkov+blink, blink-reviews-bindings_chromium.org, Inactive, aandrey+blink_chromium.org, watchdog-blink-watchlist_google.com
Base URL:
https://chromium.googlesource.com/chromium/blink.git@master
Visibility:
Public.

Description

Patch Set 1 : #

Patch Set 2 : rebase #

Total comments: 64

Patch Set 3 : oilpan #

Patch Set 4 : remove comment and exception message #

Patch Set 5 : take clipRegion into account #

Total comments: 4

Patch Set 6 : addressed some comments #

Patch Set 7 : AX and test #

Patch Set 8 : add clip tests #

Total comments: 16

Patch Set 9 : addressed comments #

Total comments: 2

Patch Set 10 : add isClipMode() and check bounding box #

Total comments: 2

Patch Set 11 : lowercase 'f' #

Total comments: 4

Patch Set 12 : addressed some nits #

Patch Set 13 : rebase #

Patch Set 14 : update test expectations #

Patch Set 15 : add header #

Total comments: 3

Patch Set 16 : exclude clipping region part #

Total comments: 2
Unified diffs Side-by-side diffs Delta from patch set Stats (+907 lines, -3 lines) Patch
M LayoutTests/TestExpectations View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 1 chunk +1 line, -0 lines 0 comments Download
A LayoutTests/fast/canvas/canvas-hit-regions-accessibility-test.html View 1 2 3 4 5 6 7 8 1 chunk +83 lines, -0 lines 0 comments Download
A LayoutTests/fast/canvas/canvas-hit-regions-accessibility-test-expected.txt View 1 2 3 4 5 6 7 8 1 chunk +52 lines, -0 lines 0 comments Download
A LayoutTests/fast/canvas/canvas-hit-regions-basic-test.html View 1 2 3 4 5 6 7 1 chunk +98 lines, -0 lines 0 comments Download
A LayoutTests/fast/canvas/canvas-hit-regions-basic-test-expected.txt View 1 2 3 4 5 6 7 1 chunk +31 lines, -0 lines 0 comments Download
A LayoutTests/fast/canvas/canvas-hit-regions-clear-test.html View 1 2 3 4 5 6 7 1 chunk +114 lines, -0 lines 0 comments Download
A LayoutTests/fast/canvas/canvas-hit-regions-clear-test-expected.txt View 1 2 3 4 5 6 7 1 chunk +31 lines, -0 lines 0 comments Download
M Source/bindings/v8/Dictionary.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 2 chunks +2 lines, -0 lines 0 comments Download
M Source/bindings/v8/Dictionary.cpp View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 2 chunks +11 lines, -0 lines 0 comments Download
M Source/core/accessibility/AXNodeObject.cpp View 1 2 3 4 5 6 7 8 9 10 1 chunk +22 lines, -2 lines 0 comments Download
M Source/core/accessibility/AXObjectCache.h View 1 2 3 4 5 1 chunk +2 lines, -0 lines 0 comments Download
M Source/core/accessibility/AXObjectCache.cpp View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +9 lines, -0 lines 0 comments Download
M Source/core/core.gypi View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 2 chunks +4 lines, -0 lines 0 comments Download
M Source/core/html/canvas/CanvasRenderingContext2D.h View 1 2 3 4 5 4 chunks +11 lines, -0 lines 0 comments Download
M Source/core/html/canvas/CanvasRenderingContext2D.cpp View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 4 chunks +84 lines, -1 line 1 comment Download
M Source/core/html/canvas/CanvasRenderingContext2D.idl View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +7 lines, -0 lines 0 comments Download
A Source/core/html/canvas/HitRegion.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +95 lines, -0 lines 0 comments Download
A Source/core/html/canvas/HitRegion.cpp View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +158 lines, -0 lines 0 comments Download
A Source/core/html/canvas/MouseEventHitRegion.h View 1 chunk +46 lines, -0 lines 0 comments Download
A Source/core/html/canvas/MouseEventHitRegion.idl View 1 chunk +11 lines, -0 lines 0 comments Download
M Source/core/testing/Internals.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 2 chunks +3 lines, -0 lines 0 comments Download
M Source/core/testing/Internals.cpp View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 2 chunks +6 lines, -0 lines 0 comments Download
M Source/core/testing/Internals.idl View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 1 chunk +3 lines, -0 lines 0 comments Download
M Source/platform/graphics/GraphicsContext.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 1 chunk +1 line, -0 lines 1 comment Download
M Source/platform/graphics/GraphicsContext.cpp View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 2 chunks +9 lines, -0 lines 0 comments Download
M Source/platform/graphics/Path.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 1 chunk +3 lines, -0 lines 0 comments Download
M Source/platform/graphics/Path.cpp View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 1 chunk +10 lines, -0 lines 0 comments Download

Messages

Total messages: 78 (0 generated)
zino
Dear all, I implemented basic parts of hit regions on canvas2d. Please take a look. ...
5 years ago (2014-06-02 18:13:22 UTC) #1
Justin Novosad
I see a lot of oilpan related problems. Please build locally with oilpan enabled to ...
5 years ago (2014-06-02 22:56:13 UTC) #2
Rik
https://codereview.chromium.org/300223009/diff/140001/Source/core/html/canvas/CanvasRenderingContext2D.cpp File Source/core/html/canvas/CanvasRenderingContext2D.cpp (right): https://codereview.chromium.org/300223009/diff/140001/Source/core/html/canvas/CanvasRenderingContext2D.cpp#newcode88 Source/core/html/canvas/CanvasRenderingContext2D.cpp:88: , m_hitRegionManager(HitRegionManager::create()) do you want to do this lazily? ...
5 years ago (2014-06-02 22:57:40 UTC) #3
haraken
I'm happy to take a closer look once this CL passes enable_oilpan=1 build. When you ...
5 years ago (2014-06-03 02:15:51 UTC) #4
fs
https://codereview.chromium.org/300223009/diff/140001/LayoutTests/fast/canvas/canvas-hit-regions-accessibility-test.html File LayoutTests/fast/canvas/canvas-hit-regions-accessibility-test.html (right): https://codereview.chromium.org/300223009/diff/140001/LayoutTests/fast/canvas/canvas-hit-regions-accessibility-test.html#newcode6 LayoutTests/fast/canvas/canvas-hit-regions-accessibility-test.html:6: <body style="padding : 0; margin : 0;"> Probably would ...
5 years ago (2014-06-03 11:47:00 UTC) #5
dmazzoni
https://codereview.chromium.org/300223009/diff/140001/LayoutTests/fast/canvas/canvas-hit-regions-accessibility-test.html File LayoutTests/fast/canvas/canvas-hit-regions-accessibility-test.html (right): https://codereview.chromium.org/300223009/diff/140001/LayoutTests/fast/canvas/canvas-hit-regions-accessibility-test.html#newcode16 LayoutTests/fast/canvas/canvas-hit-regions-accessibility-test.html:16: window.axButton1 = window.accessibilityController.accessibleElementById("button1"); You don't need "window." anywhere in ...
5 years ago (2014-06-03 17:26:10 UTC) #6
fs
https://codereview.chromium.org/300223009/diff/140001/LayoutTests/fast/canvas/canvas-hit-regions-accessibility-test.html File LayoutTests/fast/canvas/canvas-hit-regions-accessibility-test.html (right): https://codereview.chromium.org/300223009/diff/140001/LayoutTests/fast/canvas/canvas-hit-regions-accessibility-test.html#newcode16 LayoutTests/fast/canvas/canvas-hit-regions-accessibility-test.html:16: window.axButton1 = window.accessibilityController.accessibleElementById("button1"); On 2014/06/03 17:26:10, dmazzoni wrote: > ...
5 years ago (2014-06-04 08:13:41 UTC) #7
Rik
On 2014/06/03 11:47:00, fs wrote: > https://codereview.chromium.org/300223009/diff/140001/Source/core/html/canvas/CanvasRenderingContext2D.cpp#newcode2383 > Source/core/html/canvas/CanvasRenderingContext2D.cpp:2383: if (m_path.isEmpty()) > { > IIRC, ...
5 years ago (2014-06-04 18:22:55 UTC) #8
zino
I addressed some comments. But I should work about following items. - update accessibility (@dmazzoni, ...
5 years ago (2014-06-06 06:35:18 UTC) #9
zino
Dear all, I've just addressed all your comments. Could you please review again? Thank you ...
5 years ago (2014-06-08 08:39:49 UTC) #10
dmazzoni
Accessibility is looking pretty good, just a few comments. https://codereview.chromium.org/300223009/diff/300001/LayoutTests/fast/canvas/canvas-hit-regions-accessibility-test.html File LayoutTests/fast/canvas/canvas-hit-regions-accessibility-test.html (right): https://codereview.chromium.org/300223009/diff/300001/LayoutTests/fast/canvas/canvas-hit-regions-accessibility-test.html#newcode73 LayoutTests/fast/canvas/canvas-hit-regions-accessibility-test.html:73: ...
5 years ago (2014-06-09 07:27:27 UTC) #11
fs
https://codereview.chromium.org/300223009/diff/140001/Source/core/html/canvas/CanvasRenderingContext2D.cpp File Source/core/html/canvas/CanvasRenderingContext2D.cpp (right): https://codereview.chromium.org/300223009/diff/140001/Source/core/html/canvas/CanvasRenderingContext2D.cpp#newcode2379 Source/core/html/canvas/CanvasRenderingContext2D.cpp:2379: exceptionState.throwDOMException(NotSupportedError, "Both id and control are null or undefined ...
5 years ago (2014-06-09 11:06:27 UTC) #12
zino
https://codereview.chromium.org/300223009/diff/140001/Source/core/html/canvas/CanvasRenderingContext2D.cpp File Source/core/html/canvas/CanvasRenderingContext2D.cpp (right): https://codereview.chromium.org/300223009/diff/140001/Source/core/html/canvas/CanvasRenderingContext2D.cpp#newcode2379 Source/core/html/canvas/CanvasRenderingContext2D.cpp:2379: exceptionState.throwDOMException(NotSupportedError, "Both id and control are null or undefined ...
5 years ago (2014-06-09 20:00:08 UTC) #13
fs
https://codereview.chromium.org/300223009/diff/140001/Source/core/html/canvas/CanvasRenderingContext2D.cpp File Source/core/html/canvas/CanvasRenderingContext2D.cpp (right): https://codereview.chromium.org/300223009/diff/140001/Source/core/html/canvas/CanvasRenderingContext2D.cpp#newcode2379 Source/core/html/canvas/CanvasRenderingContext2D.cpp:2379: exceptionState.throwDOMException(NotSupportedError, "Both id and control are null or undefined ...
5 years ago (2014-06-10 07:25:47 UTC) #14
zino
https://codereview.chromium.org/300223009/diff/140001/Source/core/html/canvas/CanvasRenderingContext2D.cpp File Source/core/html/canvas/CanvasRenderingContext2D.cpp (right): https://codereview.chromium.org/300223009/diff/140001/Source/core/html/canvas/CanvasRenderingContext2D.cpp#newcode2379 Source/core/html/canvas/CanvasRenderingContext2D.cpp:2379: exceptionState.throwDOMException(NotSupportedError, "Both id and control are null or undefined ...
5 years ago (2014-06-10 08:21:35 UTC) #15
fs
https://codereview.chromium.org/300223009/diff/140001/Source/core/html/canvas/CanvasRenderingContext2D.cpp File Source/core/html/canvas/CanvasRenderingContext2D.cpp (right): https://codereview.chromium.org/300223009/diff/140001/Source/core/html/canvas/CanvasRenderingContext2D.cpp#newcode2379 Source/core/html/canvas/CanvasRenderingContext2D.cpp:2379: exceptionState.throwDOMException(NotSupportedError, "Both id and control are null or undefined ...
5 years ago (2014-06-10 09:05:49 UTC) #16
zino
On 2014/06/10 09:05:49, fs wrote: > which is very marginally (if at all - the ...
5 years ago (2014-06-10 09:15:53 UTC) #17
zino
Dear all, I've just uploaded a new patch set. Please take a look again. Thank ...
5 years ago (2014-06-10 10:09:35 UTC) #18
fs
https://codereview.chromium.org/300223009/diff/360001/Source/core/html/canvas/CanvasRenderingContext2D.cpp File Source/core/html/canvas/CanvasRenderingContext2D.cpp (right): https://codereview.chromium.org/300223009/diff/360001/Source/core/html/canvas/CanvasRenderingContext2D.cpp#newcode2388 Source/core/html/canvas/CanvasRenderingContext2D.cpp:2388: specifiedPath.intersectPath(context->getCurrentClipPath()); The path could be "degenerate" after this operation, ...
5 years ago (2014-06-10 11:45:15 UTC) #19
zino
In many cases, I think users will use non-clip mode rather than clip mode. So, ...
5 years ago (2014-06-10 15:40:25 UTC) #20
dmazzoni
lgtm for accessibility https://codereview.chromium.org/300223009/diff/380001/Source/core/accessibility/AXNodeObject.cpp File Source/core/accessibility/AXNodeObject.cpp (right): https://codereview.chromium.org/300223009/diff/380001/Source/core/accessibility/AXNodeObject.cpp#newcode1271 Source/core/accessibility/AXNodeObject.cpp:1271: // For now, let's return the ...
5 years ago (2014-06-10 15:43:02 UTC) #21
zino
Thank you for lgtm and I'm waiting for reviewer's response about other parts. https://codereview.chromium.org/300223009/diff/380001/Source/core/accessibility/AXNodeObject.cpp File ...
5 years ago (2014-06-12 07:50:14 UTC) #22
zino
Ping all reviewers. Could you please review again (core, bindings, platform)?
5 years ago (2014-06-12 07:51:28 UTC) #23
haraken
LGTM for bindings/ and oilpan. https://codereview.chromium.org/300223009/diff/400001/Source/core/html/canvas/HitRegion.cpp File Source/core/html/canvas/HitRegion.cpp (right): https://codereview.chromium.org/300223009/diff/400001/Source/core/html/canvas/HitRegion.cpp#newcode57 Source/core/html/canvas/HitRegion.cpp:57: #if ENABLE(OILPAN) Nit: You ...
5 years ago (2014-06-12 08:23:11 UTC) #24
fs
core changes look good to me, but you should probably allow junov to comment.
5 years ago (2014-06-12 08:35:33 UTC) #25
zino
On 2014/06/12 08:35:33, fs wrote: > core changes look good to me, but you should ...
5 years ago (2014-06-12 08:58:05 UTC) #26
Rik
lgtm This look reasonable. I will test this code once it lands to verify the ...
5 years ago (2014-06-13 05:03:12 UTC) #27
Justin Novosad
lgtm
5 years ago (2014-06-16 14:04:26 UTC) #28
zino
The CQ bit was checked by jinho.bang@samsung.com
5 years ago (2014-06-17 00:31:30 UTC) #29
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/jinho.bang@samsung.com/300223009/410001
5 years ago (2014-06-17 00:32:29 UTC) #30
commit-bot: I haz the power
The CQ bit was unchecked by commit-bot@chromium.org
5 years ago (2014-06-17 00:33:20 UTC) #31
commit-bot: I haz the power
Failed to apply patch for Source/core/html/canvas/CanvasRenderingContext2D.cpp: While running patch -p1 --forward --force --no-backup-if-mismatch; patching file ...
5 years ago (2014-06-17 00:33:22 UTC) #32
zino
The CQ bit was checked by jinho.bang@samsung.com
5 years ago (2014-06-17 02:05:23 UTC) #33
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/jinho.bang@samsung.com/300223009/430001
5 years ago (2014-06-17 02:05:51 UTC) #34
zino
The CQ bit was checked by jinho.bang@samsung.com
5 years ago (2014-06-17 02:54:32 UTC) #35
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/jinho.bang@samsung.com/300223009/450001
5 years ago (2014-06-17 02:55:52 UTC) #36
commit-bot: I haz the power
The CQ bit was unchecked by commit-bot@chromium.org
5 years ago (2014-06-17 05:37:59 UTC) #37
commit-bot: I haz the power
Try jobs failed on following builders: win_blink_compile_dbg on tryserver.blink (http://build.chromium.org/p/tryserver.blink/builders/win_blink_compile_dbg/builds/9376)
5 years ago (2014-06-17 05:38:01 UTC) #38
zino
The CQ bit was checked by jinho.bang@samsung.com
5 years ago (2014-06-17 05:43:11 UTC) #39
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/jinho.bang@samsung.com/300223009/470001
5 years ago (2014-06-17 05:43:59 UTC) #40
zino
The CQ bit was unchecked by jinho.bang@samsung.com
5 years ago (2014-06-17 07:59:20 UTC) #41
zino
On 2014/06/17 07:59:20, zino wrote: > The CQ bit was unchecked by mailto:jinho.bang@samsung.com Before landing ...
5 years ago (2014-06-17 08:01:35 UTC) #42
reed1
adding Cary Clark, who is responsible for the geometric apis in skia.
5 years ago (2014-06-17 14:17:37 UTC) #43
f(malita)
https://codereview.chromium.org/300223009/diff/470001/Source/core/html/canvas/CanvasRenderingContext2D.cpp File Source/core/html/canvas/CanvasRenderingContext2D.cpp (right): https://codereview.chromium.org/300223009/diff/470001/Source/core/html/canvas/CanvasRenderingContext2D.cpp#newcode2394 Source/core/html/canvas/CanvasRenderingContext2D.cpp:2394: || !specifiedPath.intersectPath(context->getCurrentClipPath()) I'm not sure getCurrentClipPath() is really needed. ...
5 years ago (2014-06-17 17:27:26 UTC) #44
zino
Thank you for review and good information :) If it only has rejection case, your ...
5 years ago (2014-06-17 23:46:10 UTC) #45
Rik
https://codereview.chromium.org/300223009/diff/470001/Source/core/html/canvas/CanvasRenderingContext2D.cpp File Source/core/html/canvas/CanvasRenderingContext2D.cpp (right): https://codereview.chromium.org/300223009/diff/470001/Source/core/html/canvas/CanvasRenderingContext2D.cpp#newcode2394 Source/core/html/canvas/CanvasRenderingContext2D.cpp:2394: || !specifiedPath.intersectPath(context->getCurrentClipPath()) On 2014/06/17 23:46:10, zino wrote: > The ...
5 years ago (2014-06-17 23:58:58 UTC) #46
zino
On 2014/06/17 23:58:58, Rik wrote: > https://codereview.chromium.org/300223009/diff/470001/Source/core/html/canvas/CanvasRenderingContext2D.cpp > File Source/core/html/canvas/CanvasRenderingContext2D.cpp (right): > > https://codereview.chromium.org/300223009/diff/470001/Source/core/html/canvas/CanvasRenderingContext2D.cpp#newcode2394 > ...
5 years ago (2014-06-18 00:15:29 UTC) #47
Rik
On 2014/06/18 00:15:29, zino wrote: > On 2014/06/17 23:58:58, Rik wrote: > > > https://codereview.chromium.org/300223009/diff/470001/Source/core/html/canvas/CanvasRenderingContext2D.cpp ...
5 years ago (2014-06-18 07:03:32 UTC) #48
fs
On 2014/06/18 07:03:32, Rik wrote: > On 2014/06/18 00:15:29, zino wrote: > > On 2014/06/17 ...
5 years ago (2014-06-18 08:28:27 UTC) #49
f(malita)
On 2014/06/18 07:03:32, Rik wrote: > On 2014/06/18 00:15:29, zino wrote: > > 3. Let ...
5 years ago (2014-06-18 13:47:01 UTC) #50
fs
On 2014/06/18 13:47:01, Florin Malita wrote: > On 2014/06/18 07:03:32, Rik wrote: > > On ...
5 years ago (2014-06-18 14:18:51 UTC) #51
zino
On 2014/06/18 14:18:51, fs wrote: > ('current path' intersection 'clipping region') should be empty, possibly ...
5 years ago (2014-06-18 15:47:10 UTC) #52
fs
On 2014/06/18 15:47:10, zino wrote: > On 2014/06/18 14:18:51, fs wrote: > > ('current path' ...
5 years ago (2014-06-18 15:59:27 UTC) #53
zino
On 2014/06/18 15:59:27, fs wrote: > On 2014/06/18 15:47:10, zino wrote: > > On 2014/06/18 ...
5 years ago (2014-06-18 16:33:28 UTC) #54
fs
On 2014/06/18 16:33:28, zino wrote: > On 2014/06/18 15:59:27, fs wrote: > > On 2014/06/18 ...
5 years ago (2014-06-18 16:49:25 UTC) #55
zino
On 2014/06/18 16:49:25, fs wrote: > > > Yes, that is the price that would ...
5 years ago (2014-06-18 17:04:44 UTC) #56
Rik
On 2014/06/18 14:18:51, fs wrote: ... > > The challenging part is only the actual ...
5 years ago (2014-06-18 19:11:05 UTC) #57
fs
On 2014/06/18 17:04:44, zino wrote: > On 2014/06/18 16:49:25, fs wrote: > > > > ...
5 years ago (2014-06-19 07:55:24 UTC) #58
fs
On 2014/06/18 19:11:05, Rik wrote: > On 2014/06/18 14:18:51, fs wrote: > ... > > ...
5 years ago (2014-06-19 08:01:36 UTC) #59
zino
On 2014/06/19 07:55:24, fs wrote: > On 2014/06/18 17:04:44, zino wrote: > > On 2014/06/18 ...
5 years ago (2014-06-19 08:17:34 UTC) #60
f(malita)
On 2014/06/18 19:11:05, Rik wrote: > On 2014/06/18 14:18:51, fs wrote: > ... > > ...
5 years ago (2014-06-19 13:33:05 UTC) #61
zino
On 2014/06/19 13:33:05, Florin Malita wrote: > On 2014/06/18 19:11:05, Rik wrote: > > On ...
5 years ago (2014-06-19 14:16:35 UTC) #62
Rik
On 2014/06/19 13:33:05, Florin Malita wrote: > On 2014/06/18 19:11:05, Rik wrote: > ... > ...
5 years ago (2014-06-19 16:35:37 UTC) #63
Rik
On 2014/06/19 14:16:35, zino wrote: > > ... > > I'm not sure but I ...
5 years ago (2014-06-19 16:37:47 UTC) #64
zino
On 2014/06/19 16:37:47, Rik wrote: > I'm not sure I follow. If a hit region ...
5 years ago (2014-06-19 17:07:28 UTC) #65
zino
Dear all, I'd like to separate clipping region parts from this CL. Other parts have ...
5 years ago (2014-06-20 09:09:25 UTC) #66
Justin Novosad
+1 Not just because the clip regions is unresolved, but because landing features in small ...
5 years ago (2014-06-20 12:28:59 UTC) #67
zino
On 2014/06/20 12:28:59, junov wrote: > +1 > Not just because the clip regions is ...
5 years ago (2014-06-20 15:30:08 UTC) #68
zino
Dear all, I've removed the clipping region parts from this CL. Could you please confirm ...
5 years ago (2014-06-20 15:31:36 UTC) #69
Rik
lgtm
5 years ago (2014-06-20 16:16:36 UTC) #70
Rik
lgtm
5 years ago (2014-06-20 16:16:39 UTC) #71
Justin Novosad
lgtm
5 years ago (2014-06-20 17:54:37 UTC) #72
zino
The CQ bit was checked by jinho.bang@samsung.com
5 years ago (2014-06-21 02:20:05 UTC) #73
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/jinho.bang@samsung.com/300223009/490001
5 years ago (2014-06-21 02:20:45 UTC) #74
commit-bot: I haz the power
FYI, CQ is re-trying this CL (attempt #1). The failing builders are: win_gpu on tryserver.chromium.gpu ...
5 years ago (2014-06-21 03:26:21 UTC) #75
commit-bot: I haz the power
Change committed as 176674
5 years ago (2014-06-21 04:25:53 UTC) #76
loislo
On 2014/06/21 04:25:53, I haz the power (commit-bot) wrote: > Change committed as 176674 looks ...
5 years ago (2014-06-23 13:40:14 UTC) #77
Justin Novosad
5 years ago (2014-06-23 15:05:52 UTC) #78
Message was sent while issue was closed.
On 2014/06/23 13:40:14, loislo wrote:
> On 2014/06/21 04:25:53, I haz the power (commit-bot) wrote:
> > Change committed as 176674
> 
> looks like ASAN bot is unhappy with the patch.
> 
>
http://build.chromium.org/p/chromium.webkit/builders/WebKit%20Linux%20ASAN/bu...
> 


I'm on it.  Was there a bug filed for this?

Powered by Google App Engine
This is Rietveld 408576698